import { GQLSubscription } from './GQLSubscription';
export declare type AppSyncClient = {
    endpoint: string;
    operation: string;
    selection: string;
    response: {
        [key: string]: any;
    };
    variables: {
        [key: string]: string;
    };
    authorization: 'IAM' | 'API_KEY';
    apiKey?: string;
    subscriptions: {
        [key: string]: GQLSubscription;
    };
    subscriptionQueries: {
        [key: string]: string;
    };
    listenerSubscription: {
        [key: string]: GQLSubscription;
    };
    subscriptionMessages: {
        [key: string]: any[];
    };
};
export declare const AppSyncClient: () => AppSyncClient;
