"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
exports.parseQuery = (gqlQuery) => {
    let selection = '';
    let operation = '';
    try {
        const op = graphql_1.getOperationAST(graphql_1.parse(gqlQuery), undefined);
        operation = op && op.name ? op.name.value : '';
        selection =
            (op &&
                op.selectionSet.selections.length &&
                op.selectionSet.selections[0].name.value) ||
                '';
    }
    catch (error) {
        throw new TypeError(`Invalid GQL query: ${gqlQuery}: "${error.message}"`);
    }
    return {
        selection,
        operation,
    };
};
