"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_fetch_1 = require("node-fetch");
const url_1 = require("url");
const parseQuery_1 = require("./parseQuery");
exports.queryWithApiKey = (apiKey, endpoint) => async (gqlQuery, variables) => {
    const { selection, operation } = parseQuery_1.parseQuery(gqlQuery);
    const query = {
        query: gqlQuery,
        variables,
    };
    const graphQLEndpoint = url_1.parse(endpoint);
    const options = {
        method: 'POST',
        body: JSON.stringify(query),
        headers: {
            'Content-Type': 'application/json',
            'x-api-key': apiKey,
        },
    };
    const response = await node_fetch_1.default(graphQLEndpoint.href, options);
    return {
        operation,
        selection,
        result: await response.json(),
    };
};
