"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GQLSubscription_1 = require("./GQLSubscription");
exports.subscribe = async (runner, subscription, query, variables) => {
    const q = subscription.replace(/\n\s*/g, ' ');
    await runner.progress('GQL@', `${q}`);
    if (variables) {
        await runner.progress('GQL@', JSON.stringify(variables));
    }
    const { selection, result } = await query(q, variables);
    if (result.errors) {
        throw new Error(`MQTT subscription failed: ${JSON.stringify(result.errors)}`);
    }
    const { data, extensions } = result;
    await runner.progress('<GQL', JSON.stringify(data));
    if (!extensions) {
        throw new Error('MQTT subscription response did not return extensions');
    }
    const { mqttConnections } = extensions.subscription;
    const { url, client: clientId, topics } = mqttConnections[0];
    return new GQLSubscription_1.GQLSubscription(selection, url, clientId, topics, runner);
};
