import { Reporter, RunResult } from './runner';
export declare type Config = {
    printResults: boolean;
    printProgress: boolean;
    printSummary: boolean;
    printProgressTimestamps?: boolean;
    console?: Console;
};
export declare type Console = {
    log: (...args: any) => void;
    error: (...args: any) => void;
};
export declare class ConsoleReporter implements Reporter {
    private readonly config;
    private lastProgress?;
    private readonly console;
    constructor(config?: Partial<Config>);
    report(result: RunResult): Promise<void>;
    progress(type: string, info?: string): Promise<void>;
}
