"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const runner_1 = require("./runner");
exports.replaceStoragePlaceholders = (data) => (text) => {
    const interpolated = Object.keys(data).reduce((str, key) => str.replace(new RegExp(`{${key}}`, 'g'), data[key]), text);
    const missed = interpolated.match(/\{[\w:]+\}/g);
    if (missed && missed.length) {
        throw new runner_1.StoreKeyUndefinedError(missed.map(k => k.slice(1, -1)), data);
    }
    return interpolated;
};
