"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const replaceStoragePlaceholders_1 = require("./replaceStoragePlaceholders");
const runner_1 = require("./runner");
describe('replaceStoragePlaceholders', () => {
    it.each([
        [`{foo}`, 'bar'],
        [
            `{
      "principal": "{foo:bar}"
     }`,
            `{
      "principal": "baz"
     }`,
        ],
    ])('replace the placeholder in %s', (template, expected) => {
        expect(replaceStoragePlaceholders_1.replaceStoragePlaceholders({
            foo: 'bar',
            'foo:bar': 'baz',
        })(template)).toEqual(expected);
    });
    it.each([
        `{foo}`,
        `{
      "principal": "{cognito:IdentityI}"
     }`,
        `{
      "principal": "{foo}"
     }`,
    ])('should error on unreplaced placeholders in %s', template => {
        expect(() => replaceStoragePlaceholders_1.replaceStoragePlaceholders({})(template)).toThrow(runner_1.StoreKeyUndefinedError);
    });
});
