"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultRetryConfig = {
    initialDelay: 1000,
    maxDelay: 16000,
    failAfter: 5
};
exports.retryConfiguration = (scenario) => {
    var _a, _b, _c;
    const retryTag = (_a = scenario === null || scenario === void 0 ? void 0 : scenario.tags) === null || _a === void 0 ? void 0 : _a.find(tag => /^@Retry=/.test(`${tag.name}`));
    if (!retryTag)
        return exports.defaultRetryConfig;
    return (_c = (_b = retryTag === null || retryTag === void 0 ? void 0 : retryTag.name) === null || _b === void 0 ? void 0 : _b.split('=')[1].split(',').reduce((settings, config) => {
        const [k, v] = config.split(':');
        return {
            ...settings,
            [k]: parseInt(v, 10)
        };
    }, exports.defaultRetryConfig)) !== null && _c !== void 0 ? _c : exports.defaultRetryConfig;
};
