"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const retryConfiguration_1 = require("./retryConfiguration");
describe('retryConfiguration', () => {
    it('should parse the @Retry tag', () => {
        expect(retryConfiguration_1.retryConfiguration({
            tags: [
                {
                    name: '@Retry=failAfter:10'
                }
            ]
        })).toEqual({
            ...retryConfiguration_1.defaultRetryConfig,
            failAfter: 10
        });
        expect(retryConfiguration_1.retryConfiguration({
            tags: [
                {
                    name: '@Retry=failAfter:7,maxDelay:30000'
                }
            ]
        })).toEqual({
            ...retryConfiguration_1.defaultRetryConfig,
            failAfter: 7,
            maxDelay: 30000
        });
    });
});
