"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_sdk_1 = require("aws-sdk");
exports.fetchStackConfiguration = async ({ StackName, region, }) => {
    const cf = new aws_sdk_1.CloudFormation({
        region,
    });
    const { Stacks } = await cf.describeStacks({ StackName }).promise();
    if (!Stacks) {
        throw new Error(`Unknown stack "${StackName}"!`);
    }
    const Outputs = (Stacks && Stacks[0].Outputs) || [];
    return Outputs.reduce((outputs, { OutputKey, OutputValue }) => ({
        ...outputs,
        [OutputKey]: OutputValue,
    }), {});
};
