"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const runner_1 = require("../lib/runner");
const storage_1 = require("./storage");
test('regexGroupMatcher', async () => {
    const runner = new runner_1.FeatureRunner({}, {
        reporters: [],
        dir: path.join(process.cwd(), 'test', 'storage'),
        retry: false,
        store: {
            foo: 'bar',
            bar: {
                baz: 'foo',
                num: 42,
                b: true,
            },
        },
    });
    const { success, store } = await runner
        .addStepRunners(storage_1.storageStepRunners())
        .run();
    expect(success).toEqual(true);
    expect(store.escapedJSON).toEqual('"{\\"baz\\":\\"foo\\",\\"num\\":42,\\"b\\":true}"');
});
